var url = getUrl();

if (isCompanyDomain()) {
  if (isProductPage()) {
    page.type = 'product';
    page.title = '';
    page.id = '';
    page.url = url;

    assignCategories();
    assignMetaAttributes();
    createCartAddEvent();

  } else if (isCategoryPage()) {
    page.type = 'category';
    page.title = '';
    page.id = getCategoryId();
    page.url = url;

  } else if (isSearchPage()) {
    page.type = 'search';
    page.search_term = getSearchTerm();
    page.url = document.URL;
  }
}

function getUrl() {
  return attr("link[rel='canonical']", "href") ||
    document.location.origin + document.location.pathname;
}

function isCompanyDomain() {
  return url.indexOf('.company.com') > -1;
}

function isProductPage() {

}

function isCategoryPage() {

}

function isSearchPage() {

}

function assignCategories() {
  var breadcrumbs = Sizzle('');

  for (var i = 0; i < breadcrumbs.length; i++) {
    var url = breadcrumbs[i].href;
    var id = getCategoryId();

    if (id) { addCategory(id, url); }
  }
}

function assignMetaAttributes() {
  var brand = getProductBrand();
  var gender = getProductGender();

  if (brand) {
    addMetaAttribute("brand", brand);
  }

  if (gender) {
    addMetaAttribute("gender", gender);
  }
}

function getProductBrand() {

}

function getProductGender() {

}

function createCartAddEvent() {
  var cartAddData = {
    title: page.title,
    id: page.id,
    price: page.price,
    url: page.url,
    categories: page.categories
  };

  addEventToElement("cart_add", cartAddData, '');
}

function getCategoryId() {

}

function getSearchTerm() {

}
